package com.yd.dal.entity.agms.fortune;

/**
 * @author xxy
 */
public class CommissionPayoutStatusQueryInfo {
    /**
     * 保险公司
     */
    private Long insurerId;

    /**
     * 分公司
     */
    private Long insurerBranchId;

    /**
     * 营业部
     */
    private Long insurerBranchDeptId;

    /**
     * 体系
     */
    private Long subordinateSystemId;

    /**
     * 经纪人
     */
    private Long practitionerId;

    /**
     * 发佣状态  暂不开放  可发  保留  已发并关账
     */
    private Long commissionPayoutStatus;

    /**
     * 来佣检核年月
     */
    private String commissionPayoutYearmonth;

    /**
     * 预计发佣年月
     */
    private String payoutYearmonth;

    public Long getInsurerId() {
        return insurerId;
    }

    public void setInsurerId(Long insurerId) {
        this.insurerId = insurerId;
    }

    public Long getInsurerBranchId() {
        return insurerBranchId;
    }

    public void setInsurerBranchId(Long insurerBranchId) {
        this.insurerBranchId = insurerBranchId;
    }

    public Long getInsurerBranchDeptId() {
        return insurerBranchDeptId;
    }

    public void setInsurerBranchDeptId(Long insurerBranchDeptId) {
        this.insurerBranchDeptId = insurerBranchDeptId;
    }

    public Long getSubordinateSystemId() {
        return subordinateSystemId;
    }

    public void setSubordinateSystemId(Long subordinateSystemId) {
        this.subordinateSystemId = subordinateSystemId;
    }

    public Long getPractitionerId() {
        return practitionerId;
    }

    public void setPractitionerId(Long practitionerId) {
        this.practitionerId = practitionerId;
    }

    public Long getCommissionPayoutStatus() {
        return commissionPayoutStatus;
    }

    public void setCommissionPayoutStatus(Long commissionPayoutStatus) {
        this.commissionPayoutStatus = commissionPayoutStatus;
    }

    public String getCommissionPayoutYearmonth() {
        return commissionPayoutYearmonth;
    }

    public void setCommissionPayoutYearmonth(String commissionPayoutYearmonth) {
        this.commissionPayoutYearmonth = commissionPayoutYearmonth;
    }

    public String getPayoutYearmonth() {
        return payoutYearmonth;
    }

    public void setPayoutYearmonth(String payoutYearmonth) {
        this.payoutYearmonth = payoutYearmonth;
    }

    @Override
    public String toString() {
        return "CommissionPayoutStatusQueryRequestVO{" +
                "insurerId=" + insurerId +
                ", insurerBranchId=" + insurerBranchId +
                ", insurerBranchDeptId=" + insurerBranchDeptId +
                ", subordinateSystemId=" + subordinateSystemId +
                ", practitionerId=" + practitionerId +
                ", commissionPayoutStatus=" + commissionPayoutStatus +
                ", commissionPayoutYearmonth='" + commissionPayoutYearmonth + '\'' +
                ", payoutYearmonth='" + payoutYearmonth + '\'' +
                '}';
    }
}
